From bc2013b76df8ebf404565a831f77f325cb95df1a Mon Sep 17 00:00:00 2001
From: Theodore Ni <3806110+tjni@users.noreply.github.com>
Date: Sun, 30 Jul 2023 10:05:54 -0700
Subject: [PATCH] Remove unmaintained d2to1 during setup.

---
 setup.cfg | 27 +++++++--------------------
 setup.py  | 10 +---------
 2 files changed, 8 insertions(+), 29 deletions(-)

diff --git a/setup.cfg b/setup.cfg
index a6616d0..0bf46f4 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -1,20 +1,16 @@
 [metadata]
 name = %%name%%
 version = %%version%%
-summary = %%description%%
-description-file =
-    README.rst
-    CHANGELOG.rst
-    TODO.rst
-license_file = LICENSE
-requires-dist =
+description = %%description%%
+long_description = file: README.rst, CHANGELOG.rst, TODO.rst
+license_files = LICENSE
 
 ## sdist info
 author = %%author%%
 author_email = %%email%%
-home_page = http://github.com/vaab/%%name%%
+url = http://github.com/vaab/%%name%%
 license = BSD 3-Clause License
-classifier =
+classifiers =
     Programming Language :: Python
     Topic :: Software Development :: Libraries :: Python Modules
     Development Status :: 3 - Alpha
@@ -29,19 +25,10 @@ classifier =
     Programming Language :: Python :: 3.6
 
 
-[files]
-modules = %%name%%
-extra_files =
-    README.rst
-    CHANGELOG.rst
-    TODO.rst
-    setup.py
-
-
-[backwards_compat]
+[options]
 ## without this ``pip uninstall`` fails on recent version of setuptools
 ## (tested failing with setuptools 34.3.3, working with setuptools 9.1)
-zip-safe = False
+zip_safe = False
 
 
 [bdist_wheel]
diff --git a/setup.py b/setup.py
index 47038f9..11a8d3a 100644
--- a/setup.py
+++ b/setup.py
@@ -54,12 +54,4 @@
     sys.exit(errlvl)
 
 
-##
-## Normal d2to1 setup
-##
-
-setup(
-    setup_requires=['d2to1'],
-    extras_require={'test': ['nose', ]},
-    d2to1=True
-)
+setup(extras_require={'test': ['nose', ]})
